Bug 120112 - can't turn off color man output
can't turn off color man output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 23:21 EDT by Joe Bayes
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.5o1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 18:36:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2004-04-05 23:21:25 EDT
Description of problem:
When I type 'man man', I get multicolored output. I don't like
multicolored output (though I understand that others might), and I
want to switch it off. In searching through the manpages for man,
nroff, groff, and grotty the only thing I could find that seemed like
it might turn off color is the '-c' option to nroff. But nroff is
already getting the '-c' option in /etc/man.config, and I've still got
color:

NROFF           /usr/bin/nroff -c -mandoc


Version-Release number of selected component (if applicable):
man-1.5k-12
groff-1.18.1-29

How reproducible:
always

Steps to Reproduce:
1. 'man man'
2.
3.
  
Actual results: color output

Expected results:
Either 'nroff -c -mandoc' should be producing monochrome output, or
man's manpage should tell me how to switch off color output. 

Additional info:

gunzip -c /usr/share/man/man1/man.1.gz |/usr/bin/gtbl |/usr/bin/nroff
-c -mandoc |more

produces the same (color) output. I'm pretty sure that's what man is
doing under the hood.
Comment 1 Joe Bayes 2004-06-14 01:50:33 EDT
I'm now running Fedora Core 2, with man-1.5m2-6, and I've still got
the same problem. 
Comment 2 Joe Bayes 2004-07-18 20:10:02 EDT
Putting the line:
xterm.vt100.colorBDMode:false
in my .Xdefaults seems to have turned off the worst of the color.
There's still some, but at least the annoying hard-to-read blue is gone. 
Comment 3 Eido Inoue 2004-11-09 18:36:53 EST
"-b" (or NOCOLOR in the conf file) will turn off color in the latest
rawhide (by prefixing a ".color 0" groff request to the beginning of
the troff source)

Note You need to log in before you can comment on or make changes to this bug.